#!/bin/sh
echo 'name: HsOpenSSL
version: 0.10.3.3
id: HsOpenSSL-0.10.3.3-6f7cada66d08faf7b8e70136fd20a3be

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
synopsis: (Incomplete) OpenSSL binding for Haskell
description:  
             .
             HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
             and DSA keys, read and write PEM files, generate message digests,
             sign and verify messages, encrypt and decrypt messages. It has
             also some capabilities of creating SSL clients and servers.
             .
             Please note that this project has started at the time when there
             were no pure-Haskell implementations of TLS. Now there is tls
             package (<http://hackage.haskell.org/package/tls>), which looks
             pretty saner than HsOpenSSL especially for initialisation and
             error handlings. So PHO (the initial author of HsOpenSSL) wants to
             encourage you to use and improve the tls package instead as long
             as possible. The only problem is that the tls package has not
             received as much review as OpenSSL from cryptography specialists
             yet, thus we can'\''t assume it'\''s secure enough.
             .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Open
                 OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.EVP.Internal OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/HsOpenSSL-0.10.3.3
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/HsOpenSSL-0.10.3.3
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.10.3.3
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/ghc-7.4.2/cabal/HsOpenSSL-0.10.3.3/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         ghc-prim-0.2.0.0-7d3c2c69a5e8257a04b2c679c40e2fa7
         integer-gmp-0.4.0.0-af3a28fdc4138858e0c7c5ecc2a64f43
         network-2.3.1.0-6b6d66ee2df4c4f37033da9ed9847211
         old-locale-1.0.0.4-5e45cabd3b4fdcad9e353ea3845f5ef7
         time-1.4-d61e2caaa0486655b4e141dc277ed49f
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/HsOpenSSL-0.10.3.3/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/HsOpenSSL-0.10.3.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
